#
# spec file for package octave-forge-image
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define octpkg  image
Name:           octave-forge-%{octpkg}
Version:        2.4.1
Release:        4.1
Summary:        Image Processing for Octave
License:        GPL-3.0+ and BSD-2-Clause and MIT
Group:          Productivity/Scientific/Math
Url:            http://octave.sourceforge.net
Source0:        http://downloads.sourceforge.net/octave/%{octpkg}-%{version}.tar.gz
BuildRequires:  gcc-c++
BuildRequires:  hdf5-devel
BuildRequires:  octave-devel
Requires:       octave-cli >= 4.0.0

%description
Functions for processing images. The package also provides functions
for feature extraction, image statistics, spatial and geometric
transformations, morphological operations, linear filtering, and much more.
This is part of Octave-Forge project.

%prep
%setup -q -c %{name}-%{version}
%octave_pkg_src

%build
%octave_pkg_build

%install
%octave_pkg_install

%check
%octave_pkg_test

%post
%octave --eval "pkg rebuild"

%postun
%octave --eval "pkg rebuild"

%files
%defattr(-,root,root)
%{octpackages_dir}/%{octpkg}-%{version}
%{octlib_dir}/%{octpkg}-%{version}

%changelog
* Thu Aug 13 2015 dmitry_r@opensuse.org
- Update to version 2.4.1
  * Bugfix release
- Drop ovsolete workaround_gcc_65843.patch
* Sat Jun 20 2015 dmitry_r@opensuse.org
- Fix build with GCC5
  * workaround_gcc_65843.patch
* Wed Apr  8 2015 dmitry_r@opensuse.org
- Update to version 2.4.0
  * The following functions are new:
    bwareafilt            imcast                imregionalmin
    bwpropfilt            imclearborder         otf2psf
    edgetaper             immse                 psf2otf
    fftconvn              imreconstruct         psnr
    imattributes          imregionalmax         subimage
  * The implementation of normxcorr2 has been changed. The new method is
    Matlab compatible and will return values in the range [-1 1].
  * The image package is no longer dependent on the signal package.
  * The disk shaped filter of fspecial has been changed for Matlab
    compatibility. The elements on the border of the disk are now
    weighted by how much of them is covered by the disk. Note that
    this change is backwards incompatible.
  * The following functions will display the output image as a figure
    instead of printing to the command line, when there are no output
    arguments:
    grayslice             im2bw
  * For better compatibility with Matlab, the imrotate, imremap, and
    imperspectivewarp functions now use 0 instead of NA for the default
    extrapolation value.
  * The regionprops function now supports the "Eccentricity",
    "MajorAxisLength", "MinorAxisLength", "EquivDiameter" and "Extrema"
    properties.  The "Orientation" property has also been rewritten for
    Matlab compatibility and may yield different results than previous
    versions.
  * The conndef function has new function signatures so that it covers all
    common ways of defining an connectivity array.
  * Creating disk shaped strel objects must now specify the N argument for
    number of periodic lines used to approximate a disk.  The value used
    must be zero to obtain the same results as previous releases of the
    image package.  No other value is at the moment valid, and this is to
    prevent future backwards incompatibility since Matlab default is 4.
    Replace any `strel ("disk", radius)' with `strel ("disk", radius, 0)'
  * The following functions have been completely rewritten and will perform
    a lot of faster.
    bwconncomp            bwlabeln
  Which indirectly will also cause the following to perform faster:
    bwareaopen             bwpropfilt            regionprops
  * Deprecated functions.
    The following functions were deprecated in image 2.2.0 and have been
    removed from image 2.4.0.
    bwborder              iptchecknargin        readexif
    impad                 iptcheckstrs
    imrotate_Fourier      uintlut
  * Other functions that have been changed for smaller bugfixes, increased
    Matlab compatibility, or performance:
    grayslice             im2single             imsmooth
    im2double             im2uint8              label2rgb
    im2int16              im2uint16
* Thu Feb 26 2015 dmitry_r@opensuse.org
- Split from octave-forge package, version 2.2.2
